Crash when CIFS mount goes offline

Bug #161176 reported by Helge Willum Thingvad on 2007-11-09
32
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Nominated for Hardy by Jeroen
Nominated for Intrepid by Jeroen

Bug Description

Today my file server and media center crashed due to an unstable graphics driver.
I had to shut it down hard and reboot, which in some way made my laptop also crash(!).
The laptop didn't respond at all, not even to Ctrl+Alt+F1. I had to hold the power button down like I did with the server.

My laptop had the following network connections open to the server:
- SSH session
- Two CIFS mounts, command: mount.cifs //server/share /mountpoint -o user=something,nosetuids,noperm,rw,iocharset=utf8
- Possibly one or more PulseAudio connections, although I wasn't playing any audio at the time.

This is the basic setup of the laptop:
- ThinkPad Z60m: Pentium M 2.0Ghz, 1024MB RAM, Intel chipset/audio and integrated ATI Radeon X600.
- Ubuntu 7.10 Server i386, multiverse repositories
- OpenBox, XFCE environment, various KDE and GNOME applications installed
- PulseAudio and Skype which are not always stable

The laptop crash occurred around 12:09

=====================
Logs (/var/log/):
=====================
- debug: No log entries around the crash
- kern.log: See syslog
- messages: No log entries around the crash
- user.log: No log entries around the crash
- samba/log.[server]: No log entries around the crash

- samba/log.smbd:
[2007/11/09 11:57:39, 0] lib/util_sock.c:get_peer_addr(1232)
  getpeername failed. Error was Transport endpoint is not connected
[2007/11/09 11:57:39, 0] lib/util_sock.c:get_peer_addr(1232)
  getpeername failed. Error was Transport endpoint is not connected
.....
I think this is too early to have affected the crash, but I'm not sure about the time.

- syslog:
Nov 9 12:09:22 dw-keitai kernel: [10350.472000] CIFS VFS: server not responding
Nov 9 12:09:22 dw-keitai kernel: [10350.472000] CIFS VFS: No response for cmd 50 mid 15893
Nov 9 12:09:42 dw-keitai kernel: [10370.472000] CIFS VFS: Error 0xffffff90 on cifs_get_inode_info in lookup of /mnt
Nov 9 12:09:52 dw-keitai kernel: [10370.472000] CIFS VFS: Error 0xffffff90 on cifs_get_inode_info in lookup of /mnt
.....
Last message repeated with 10-20 seconds interval until 12:16:27 where I shut down the system.
dw-keitai is my laptop.
/mnt is the directory on the server.

description: updated
description: updated
description: updated
description: updated
description: updated
Jeroen (c0p3rn1c) wrote :

I have the same problem on ubuntu 8.04 @ 2.6.24-21-generic and @ 2.6.24-22-generic

2.6.24-21-generic: the process just takes a long time but does shut down after a while.
2.6.24-22-generic: the process doesnt shut down at all

Can anyone confirm this is still an issue with the more recent Intrepid Ibex 8.10 release which contains a 2.6.27 based kernel? Thanks.

Changed in linux:
status: New → Incomplete
Jeroen (c0p3rn1c) wrote :

It's still there in ubuntu 8.10 @ 2.6.27-7 generic
Error message:
http://share.ovi.com/media/c0p3rn1c.public/c0p3rn1c.10106

on ubuntu 8.04 @ 2.6.24-23-generic I get this when I shutdown my pc at the end:
http://share.ovi.com/media/c0p3rn1c.public/c0p3rn1c.10105

I'm updating the ubuntu 8.10 box now, I will get back to you on that.

Jeroen (c0p3rn1c) wrote :

It's still there in ubuntu 8.10 @ 2.6.27-9, same error.

The error occurs when I use the following line in /etc/fstab:
//192.168.1.126/files /media/FilesOpAMD cifs iocharset=utf8,uid=jeroen,gid=users,guest,_netdev,defaults,file_mode=0777,dir_mode=0777 0 0

Changed in linux:
importance: Undecided → Medium
status: Incomplete → Triaged
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Triaged a while ago but has not had any updated comments for quite some time. Please let us know if this issue remains in the current Ubuntu release, http://www.ubuntu.com/getubuntu/download . If the issue remains, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: Triaged → Incomplete
gmud (gmud) wrote :

I can confirm this behaviour:

When I mount a Samba share with cifs and the Samba server goes offline (for whatever reason) I get the following errors in dmesg:
CIFS VFS: No repsonse for cmd 114 mid xxxxx
CIFS VFS: Unexpected lookup error -112

All programs currently accessing the directory - to where the share is mounted to - freeze/stall until the problem is solved by "lazy" unmounting the share. For example dolphin filemanager is unusable or in a shell I can't cd to the mounted dir (it stalls, too).

Similar or related bugs are:
#428129
#211631

gmud (gmud) wrote :

More related bugs:
Bug #224414

The symptoms are also exactly like reported in the kernel list back in 2005:
http://lkml.org/lkml/2005/2/20/78

Changed in linux (Ubuntu):
status: Incomplete → New
Kristian (kmk) wrote :

The same problem is still here with Ubuntu 10.04. Nautilus hangs completely, and I'm not able to unmount the cifs shares after the cifs server is shutted down. Additionally, Ubuntu hangs during reboot/shutdown.

dmesg displays lots of these:
[324360.230346] CIFS VFS: Unexpected lookup error -112
[324370.230750] CIFS VFS: Unexpected lookup error -112

Kristian, thank you for taking the time to report this bug and helping to make Ubuntu better. The issue that you reported is one that should be reproducible with the live environment of the Desktop CD of the development release - Maverick Meerkat. It would help us greatly if you could test with it so we can work on getting it fixed in the next release of Ubuntu. You can find out more about the development release at http://www.ubuntu.com/testing/ . Thanks again and we appreciate your help.

Andy Whitcroft (apw) on 2011-02-22
Changed in linux (Ubuntu):
status: New → Triaged

It appears something changed in Ubuntu 10.10 Maverick Meerkat.
Opening the directory containing the mount point in Nautilus or doing an "ls" in terminal has a noticeable delay (~11 seconds) but nothing seems to freeze completely.
In Nautilus the mount point disappears (even with Show Hidden Files) and in terminal the message "ls: cannot access /mnt: Host is down" is shown.
In dmesg I get:
[16612.499756] CIFS VFS: cifs_mount failed w/return code = -13

I think this issue is finally resolved.

Running 11.10 on my media server which has mounts to other systems. When a network share becomes unavailable any access to that mountpoint causes infinite hangs, must reboot. The "soft" option in mount.cifs doesn't seem to work. I let it sit for 1/2 hr last night to rule out timeouts not working right.

Helge, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/161176/comments/10 regarding this being fixed with an update. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers